Bug 1751484 - avahi depends on Python 2
Summary: avahi depends on Python 2
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: avahi
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31_PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-09-12 05:30 UTC by Lumír Balhar
Modified: 2019-09-20 00:14 UTC (History)
5 users (show)

Fixed In Version: avahi-0.7-22.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-20 00:14:39 UTC


Attachments (Terms of Use)

Description Lumír Balhar 2019-09-12 05:30:27 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for avahi's future. Specifically:


- What is the reason for the Python2 dependency? (Is it software written in Python, or does it just provide Python bindings, or use Python in the build system or test runner?) 

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to avahi.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Lumír Balhar 2019-09-19 08:29:34 UTC
Please answer the above questions. If you don't, the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, or if you need some more time, please let us know.

Comment 2 Rex Dieter 2019-09-19 22:01:19 UTC
I've a commit that removes all python support, staged.  repoquery shows nothing currently depends on either python2-avahi or python3-avahi

Comment 3 Miro Hrončok 2019-09-20 00:14:39 UTC
Thanks!


Note You need to log in before you can comment on or make changes to this bug.